Bug 447406 - Review Request: libfakekey
Review Request: libfakekey
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
: 451769 462736 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 16:04 EDT by jmccann
Modified: 2015-01-14 18:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-22 14:25:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Matthias Clasen 2008-05-19 21:44:49 EDT
Builds fine in mock

rpmlint output:
libfakekey.i386: W: no-documentation
libfakekey.i386: W: one-line-command-in-%post /sbin/ldconfig
libfakekey.i386: W: one-line-command-in-%postun /sbin/ldconfig
libfakekey-devel.i386: W: no-documentation

You should include COPYING and ChangeLog as %doc files
and do as rpmlint wants you to:

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: ok
license file: needs to include COPYING
spec language: ok
spec readability: ok
upstream sources: ok
builds: yes
ExcludeArch: n/a
BuildRequires: ok
locale handling: ok
ldconfig: see above
relocatable: n/a
directory ownership: ok
%file duplicates: ok
file permissions: ok
%clean: ok
macro use: ok
permissible content: ok
large docs: n/a
doc content: ok
headers: ok
static libs: n/a
pkgconfig files: ok
shared libs: ok
-devel package: ok
la files: ok
gui app: n/a
file ownership: ok
%install: ok
utf8 filenames: ok

summary: fix the two issues that rpmlint complained about, then it is fine.
Comment 2 jmccann 2008-05-20 10:07:17 EDT
Ok fixed.  Thanks.
Comment 3 Matthias Clasen 2008-05-20 10:17:33 EDT
Can you point me to the updated spec file, so I can nod it off ?
Comment 4 Matthias Clasen 2008-05-20 10:30:22 EDT
Ok, approved.
Comment 5 jmccann 2008-05-20 11:21:58 EDT
New Package CVS Request
=======================
Package Name: libfakekey
Short Description: Library for converting characters to X key-presses
Owners: mccann
Branches: devel
InitialCC:
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-05-20 12:15:39 EDT
cvs done.
Comment 7 jmccann 2008-05-22 14:25:23 EDT
Built in rawhide.  Thanks.

http://koji.fedoraproject.org/koji/taskinfo?taskID=624886
Comment 8 Parag AN(पराग) 2008-06-18 05:00:15 EDT
*** Bug 451769 has been marked as a duplicate of this bug. ***
Comment 9 Parag AN(पराग) 2008-09-19 00:35:25 EDT
*** Bug 462736 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.